Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.jpa
Class ExecutorRequestAdminServiceImpl

    java.lang.Object
      org.jbpm.executor.impl.jpa.ExecutorRequestAdminServiceImpl

All Implemented Interfaces:
  RequeueAware, org.kie.internal.executor.api.ExecutorAdminService

    public class ExecutorRequestAdminServiceImpl

extends Object
implements org.kie.internal.executor.api.ExecutorAdminService, RequeueAware

Default implementation of `ExecutorAdminService` backed with JPA IMPORTANT: please keep all classes from package org.jbpm.shared.services.impl as FQCN inside method body to avoid exception logged by CDI when used with in memory mode

Constructor Summary
`ExecutorRequestAdminServiceImpl()`

Method Summary
`int` | `clearAllErrors()`
`int` | `clearAllRequests()`
`void` | `requeue(Long olderThan)` Moves `RequestInfo` instances that are in running state longer than given amount of time (in milliseconds)
`void` | `requeueById(Long requestId)` Moves `RequestInfo` instance with given request id that are in running state
`void` | `setCommandService(org.drools.core.command.CommandService commandService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorRequestAdminServiceImpl

    public ExecutorRequestAdminServiceImpl()

Method Detail

### setCommandService

    public void setCommandService(org.drools.core.command.CommandService commandService)

### clearAllRequests

    public int clearAllRequests()

  Specified by:
    `clearAllRequests` in interface `org.kie.internal.executor.api.ExecutorAdminService`

### clearAllErrors

    public int clearAllErrors()

  Specified by:
    `clearAllErrors` in interface `org.kie.internal.executor.api.ExecutorAdminService`

### requeue

    public void requeue(Long olderThan)

  Description copied from interface: `RequeueAware`
  Moves `RequestInfo` instances that are in running state longer than given amount of time (in milliseconds)

  Specified by:
    `requeue` in interface `RequeueAware`
  Parameters:
    `olderThan` - amount of time in milliseconds from current time stamp

### requeueById

    public void requeueById(Long requestId)

  Description copied from interface: `RequeueAware`
  Moves `RequestInfo` instance with given request id that are in running state

  Specified by:
    `requeueById` in interface `RequeueAware`
  Parameters:
    `requestId` - request unique identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.